aboutsummaryrefslogtreecommitdiffstats
path: root/tests/rename-exists-local
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-09 03:13:45 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:23:56 +0100
commit67440844c422ee30b31df9a46a7f99ac0e833add (patch)
tree989381e5b94d5939dafdd1e99c7db2ada95355ec /tests/rename-exists-local
parentb9da6cc7ecf71026d1023dc3354b820c7518426e (diff)
Refactor and improve test suite.
Diffstat (limited to 'tests/rename-exists-local')
-rw-r--r--tests/rename-exists-local/local.conf3
-rw-r--r--tests/rename-exists-local/remote.conf3
-rw-r--r--tests/rename-exists-local/t13
3 files changed, 19 insertions, 0 deletions
diff --git a/tests/rename-exists-local/local.conf b/tests/rename-exists-local/local.conf
new file mode 100644
index 0000000..b56cc70
--- /dev/null
+++ b/tests/rename-exists-local/local.conf
@@ -0,0 +1,3 @@
+namespace inbox {
+ separator = .
+}
diff --git a/tests/rename-exists-local/remote.conf b/tests/rename-exists-local/remote.conf
new file mode 100644
index 0000000..9657e89
--- /dev/null
+++ b/tests/rename-exists-local/remote.conf
@@ -0,0 +1,3 @@
+namespace inbox {
+ separator = "\\"
+}
diff --git a/tests/rename-exists-local/t b/tests/rename-exists-local/t
new file mode 100644
index 0000000..190f49a
--- /dev/null
+++ b/tests/rename-exists-local/t
@@ -0,0 +1,13 @@
+doveadm -u "local" mailbox create "root.from" "root.from.child" "t.o"
+doveadm -u "remote" mailbox create "root\\from" "root\\from\\child"
+
+interimap_init
+check_mailbox_list
+
+# delete a mailbox on the remote server, then try to use it as target for --rename
+doveadm -u "remote" mailbox delete "t\\o"
+
+! interimap --rename "root.from" "t.o" || error
+grep -Fx 'local: ERROR: Mailbox t.o exists. Run `interimap --target=local --delete t.o` to delete.' <"$STDERR" || error
+
+# vim: set filetype=sh :